# ip_Grid - a native javascript spreadsheet plugin

ip_Grid is a fully fledged **native javascript spreadsheet plugin**, designed to look and feel like Google sheets. As far as I know, this is the most comprehensive vanilla javascript spreadsheet plugin on the web.
This tool is designed for larger datasets, when rendering performance is needed.

***

## Basic usage

$('#demo').ip_Grid({  rows:10000, cols:26 });

![ALT TEXT](https://raw.githubusercontent.com/marzsocks/ipgrid/master/Spreadsheet.PNG)

## Demo & Documentation
For live interactive examples, visit:

[https://www.roberg.co.za/plugins/ip-spreadsheet](https://www.roberg.co.za/plugins/ip-spreadsheet)

## Features

- Frozen rows or columns
- Resize columns
- Resize rows
- Hide or show the column selector
- Hide or show the row selector
- Select a cell
- Select a range
- Clear or reset cells in a range[s]
- Scroll to row or column
- Add new rows
- Add new columns
- Remove rows
- Remove columns
- Insert rows
- Insert columns
- Move columns
- Move rows
- Copy or cut range[s]
- Paste copied range[s]
- Merge cells in range[s]
- Unmerge cells in range[s]
- Undo the last action
- Hide or show rows
- Hide or show columns
- Group rows
- Ungroup rows
- Show the formatting modal
- Cell formatting - general/all options
- Cell formatting - font colors and styling
- Cell formatting - alignment
- Cell formatting - cell type (dropdown or text)
- Cell formatting - cell content validation
- Cell formatting - giving cells hash tags
- Cell formatting - cell content validation
- Cell borders
- Set the value or formula of a cell
- Show the formatting modal
- Change the size of the sheet matrix
- Sort a range[s] of cells

## Copyright & Contact

Demo & Documentation: [https://www.roberg.co.za/plugins/ip-spreadsheet](https://www.roberg.co.za/plugins/ip-spreadsheet)

The full contents of this code repository are (C) 2016,2022,2023 by Michael Roberg 


